
package cz.cuni.mff.corrector.repair;

import cz.cuni.mff.corrector.instruction.Instruction;
import cz.cuni.mff.corrector.intent.Intent;
import java.util.ArrayList;
import java.util.List;

/**
 * Node repair for repair subtree correction intent.
 *
 * @author Martin Svoboda
 */
public class NodeRepairRepairSubtree extends NodeRepair {

    // -------------------------------------------------------------------------


    /**
     * Creates a new instance of a repair subtree node repair.
     */
    public NodeRepairRepairSubtree() { }


    // -------------------------------------------------------------------------


    public List<Instruction> getInstructionsList() {
        return new ArrayList<Instruction>();
    }


    public int getRepairCost() {
        return Instruction.COST_ZERO;
    }


    // -------------------------------------------------------------------------


    public Intent.Type getIntentType() {
        return Intent.Type.REPAIR;
    }


    // -------------------------------------------------------------------------

}
